<div class="align-items-stretch d-flex w-100 ">
    <app-side-bar></app-side-bar>
    <div class="main min-vh-100">
        <app-nav-bar [Navbar]="Client"></app-nav-bar>
        <main class="content px-3 py-2 mt-3">
            <div class="container-fluid">
                <!-- Tu contenido principal aquí -->
                <form [formGroup]="form">
                    <div class="formulario-container">
                        <div class="formulario">
                            <h2>Formulario de Cliente</h2>

                            <label for="identificationCard">Cedula:</label>
                            <input type="number" id="identificationCard" name="identificationCard" formControlName="identificationCard">
                            <small appErrorInput [touched]="form.controls['identificationCard'].touched"
                                [dirty]="form.controls['identificationCard'].dirty" [errors]="form.controls['identificationCard'].errors"
                                class="error-message"></small>

                            <div class="campo-dividido">
                                <div>
                                    <label for="names">Nombre:</label>
                                    <input type="text" id="names" name="names" formControlName="names">
                                    <small appErrorInput [touched]="form.controls['names'].touched"
                                [dirty]="form.controls['names'].dirty" [errors]="form.controls['names'].errors"
                                class="error-message"></small>
                                </div>
                                <div>
                                    <label for="email">Email:</label>
                                    <input type="email" id="email" name="email" formControlName="email">
                                    <small appErrorInput [touched]="form.controls['email'].touched"
                                [dirty]="form.controls['email'].dirty" [errors]="form.controls['email'].errors"
                                class="error-message"></small>
                                </div>
                            </div>

                            <label for="phone">Telefono:</label>
                            <input type="tel" id="phone" name="phone" formControlName="phone">
                            <small appErrorInput [touched]="form.controls['phone'].touched"
                                [dirty]="form.controls['phone'].dirty" [errors]="form.controls['phone'].errors"
                                class="error-message"></small>
                            <div class="campo-dividido">
                                <div>
                                    <label for="gender">Género:</label>
                                    <select id="gender" name="gender" formControlName=gender>
                                        <option value="masculino">Masculino</option>
                                        <option value="femenino">Femenino</option>
                                        <option value="otro">Otro</option>
                                    </select>
                                    <small appErrorInput [touched]="form.controls['gender'].touched"
                                [dirty]="form.controls['gender'].dirty" [errors]="form.controls['gender'].errors"
                                class="error-message"></small>
                                </div>
                                <div>
                                    <label for="age">Edad:</label>
                                    <input type="number" id="age" name="age" formControlName="age">
                                    <small appErrorInput [touched]="form.controls['age'].touched"
                                [dirty]="form.controls['age'].dirty" [errors]="form.controls['age'].errors"
                                class="error-message"></small>
                                </div>


                            </div>

                            <div class="button-container">
                                <button type="submit" (click)="add()">Enviar</button>
                                <button type="submit" class="cancel-button" (click)="redirigirAAddRoles()">Cancelar</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

        </main>
    </div>
</div>